package com.autentia.citas.dao;

import java.io.Serializable;
import java.util.List;

public interface  Dao<T> {
	public List<T> getAll(Class<T> entityClass);
	public T findById(Class<T> entityClass, Serializable id);
	public List findByQuery(String query, Object...params);
	public void create(T entity);
	public void delete(T entity);
	public T update(T entity);
}
